Update SDS metadata
Update editable metadata fields on an SDS document such as SKU, EAN, alternate name, or status.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.
In: header
Path Parameters
sdsId*string
SDS document UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"product_name": "Acetone",
"alternate_name": "string",
"chemical_name": "string",
"cas_number": "67-64-1",
"ec_number": "200-662-2",
"sku": "string",
"ean": "string",
"signal_word": "Danger",
"hazard_statements": [
"H225",
"H319",
"H336"
],
"ghs_pictograms": [
"GHS02",
"GHS07"
],
"status": "processing",
"archived": false,
"procurement_status": "Review",
"language": "en",
"revision_date": "2019-08-24",
"file_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"type": "https://api.nextsds.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing X-API-Key header"
}{
"type": "https://api.nextsds.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource was not found"
}{
"type": "https://api.nextsds.com/errors/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "One or more fields failed validation",
"errors": [
{
"field": "name",
"message": "Name is required"
}
]
}